Name: libjpeg
Version: 6b
Release: alt1
Serial: 1

Summary: A library for manipulating JPEG image format files
License: distributable
Group: System/Libraries
Url: http://www.ijg.org/

Source: ftp://ftp.uu.net/graphics/jpeg/jpegsrc.v6b.tar.bz2
Patch1: %name-6b-rh-arm.patch
Patch2: %name-6b-rh-c++.patch

%package devel
Summary: Development tools for programs which will use the libjpeg library
Group: Development/C
Requires: %name = %serial:%version-%release

%package devel-static
Summary: Static libjpeg library
Group: Development/C
Requires: %name-devel = %version-%release

%package utils
Summary: Programs for manipulating JPEG format image files
Group: Graphics
Requires: %name = %serial:%version-%release

%description
This package contains a shared library of functions for loading,
manipulating and saving JPEG format image files.

%description devel
This package includes development files necessary for developing programs
which will manipulate JPEG files using the %name library.

%description devel-static
This package includes static library necessary for developing statically
linked programs which will manipulate JPEG files using the %name library.

%description utils
This package contains simple client programs for accessing the
%name functions.  Libjpeg client programs include cjpeg, djpeg,
jpegtran, rdjpgcom and wrjpgcom.  Cjpeg compresses an image file
into JPEG format.  Djpeg decompresses a JPEG file into a regular
image file.  Jpegtran can perform various useful transformations
on JPEG files.  Rdjpgcom displays any text comments included in
a JPEG file.  Wrjpgcom inserts text comments into a JPEG file.

%prep
%setup -q -n jpeg-6b
%patch1 -p1
%patch2 -p1

%build
# libtoolize --hack
%__install -p -m644 %_datadir/libtool/config.* .
%configure --enable-shared --enable-static --disable-rpath
%make_build
%{?!__buildreqs:%{?!_without_check:%{?!_disable_check:LD_LIBRARY_PATH=$PWD make test}}}

%install
%__mkdir_p $RPM_BUILD_ROOT{%_bindir,%_libdir,%_includedir,%_man1dir}
%makeinstall mandir=$RPM_BUILD_ROOT%_man1dir

%post -p %post_ldconfig
%postun -p %postun_ldconfig

%files
%_libdir/*.so.*

%files utils
%_bindir/*
%_mandir/man?/*

%files devel
%_libdir/*.so
%_includedir/*
%doc README *.doc *.log example.c

%files devel-static
%_libdir/*.a

%changelog
* Wed Nov 26 2003 Dmitry V. Levin <ldv@altlinux.org> 1:6b-alt1
- Do not package .la files.
- Additional convention enforcement on patch file names.

* Wed Sep 04 2002 Stanislav Ievlev <inger@altlinux.ru> 6b-ipl18mdk
- rebuild with new gcc3

* Thu Aug 16 2001 Dmitry V. Levin <ldv@altlinux.ru> 6b-ipl17mdk
- Moved static library to devel-static subpackage.
- Aadded some C++ tweaks to the headers (rh).

* Sat Jan 06 2001 Dmitry V. Levin <ldv@fandra.org> 6b-ipl16mdk
- RE adaptions.

* Wed Jan  3 2001 <yduret@mandrakesoft.com> 6b-16mdk
- macroization
- added URL:, %%doc
- split into libjpeg, libjpeg-utils and libjpeg-devel

* Fri Jul 26 2000 <adussart@mandrakesoft.com> 6b-15mdk
- Updated %%files section.

* Thu May 04 2000 <adussart@mandrakesoft.com> 6b-14mdk
- Fixed HAVE_STDLIB_H redefine bug.

* Tue Apr 18 2000 Warly <warly@mandrakesoft.com> 6b-13mdk
- New group

* Thu Jan 13 2000 Pixel <pixel@mandrakesoft.com>
- libtoolize --force
- fix strange ./libtool needed by forcing LIBTOOL=libtool

* Wed Nov  3 1999 Chmouel Boudjnah <chmouel@mandrakesoft.com>
- Build release.

* Tue May 11 1999 Bernhard Rosenkraenzer <bero@mandrakesoft.com>
- Mandrake adaptions

* Sun Mar 21 1999 Cristian Gafton <gafton@redhat.com>
- auto rebuild in the new build environment (release 9)

* Wed Jan 13 1999 Cristian Gafton <gafton@redhat.com>
- patch to build on arm
- build for glibc 2.1

* Mon Oct 12 1998 Cristian Gafton <gafton@redhat.com>
- strip binaries

* Mon Aug  3 1998 Jeff Johnson <jbj@redhat.com>
- fix buildroot problem.

* Tue Jun 09 1998 Prospector System <bugs@redhat.com>
- translations modified for de

* Thu Jun 04 1998 Marc Ewing <marc@redhat.com>
- up to release 4
- remove patch that set (improper) soname - libjpeg now does it itself

* Thu May 07 1998 Prospector System <bugs@redhat.com>
- translations modified for de, fr, tr

* Fri May 01 1998 Cristian Gafton <gafton@redhat.com>
- fixed build on manhattan

* Wed Apr 08 1998 Cristian Gafton <gafton@redhat.com>
- upgraded to version 6b

* Wed Oct 08 1997 Donnie Barnes <djb@redhat.com>
- new package to remove jpeg stuff from libgr and put in it's own package
